# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(base.pm) perl(inc/Module/Package.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name Module-Install-TrustMetaYml
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: trusts META.yml list of dependencies
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Module-Install-TrustMetaYml

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
CPAN doesn't trust `META.yml''s list of dependencies for a module. Instead it
expects `Makefile.PL' run on the computer the package is being installed
upon to generate its own list of dependencies (called `MYMETA.yml' or
`MYMETA.json').

This module is a Module::Install plugin that generates `MYMETA.yml' by simply
passing through the dependencies from `META.yml'.

It does nothing when run from the module author's development copy.

The module defines two functions which are aliases for each other:

=over

=item `trust_meta_yml'

=item `trust_meta_yaml'

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE COPYRIGHT
%perl_vendor_privlib/M*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

